Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.config.xml
Class AbstractMessageDestinationBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.flex.config.xml.AbstractMessageDestinationBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

Direct Known Subclasses:
  IntegrationMessageDestinationBeanDefinitionParser, JmsMessageDestinationBeanDefinitionParser, MessageDestinationBeanDefinitionParser

    public abstract class AbstractMessageDestinationBeanDefinitionParser

extends AbstractBeanDefinitionParser

Base `BeanDefinitionParser` implementation for all parsers that configure a `MessageDestinationFactory` bean.

Provides support for configuring the common network and server settings of all `MessagingAdapter` implementations.

Author:
  Jeremy Grelle

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`AbstractMessageDestinationBeanDefinitionParser()`

Method Summary
`protected abstract void` | `parseAdapter(Element element, ParserContext parserContext, BeanDefinitionBuilder destinationBuilder)` Hook for subclasses to add custom parsing logic for technology-specific adapters.
`protected AbstractBeanDefinition` | `parseInternal(Element element, ParserContext parserContext)`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMessageDestinationBeanDefinitionParser

    public AbstractMessageDestinationBeanDefinitionParser()

Method Detail

### parseAdapter

    protected abstract void parseAdapter(Element element,
                                         ParserContext parserContext,
                                         BeanDefinitionBuilder destinationBuilder)

  Hook for subclasses to add custom parsing logic for technology-specific adapters.

  Parameters:
    `element` - the xml element being parsed
    `parserContext` - the current parser context
    `destinationBuilder` - the builder for the `MessageDestinationFactory` bean being defined

### parseInternal

    protected AbstractBeanDefinition parseInternal(Element element,
                                                   ParserContext parserContext)

  Specified by:
    `parseInternal` in class `AbstractBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.